=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dpkg-parsechangelog -S Source)

export DISABLE_HOTSPOT_OS_VERSION_CHECK=ok

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH), amd64))
  ARCH_DATA_MODEL=64
  JDK_ARCH=amd64
else ifneq (,$(filter $(DEB_HOST_ARCH), i386))
  ARCH_DATA_MODEL=32
  JDK_ARCH=i586
endif

JAVA_HOME  = /usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)

%:
	dh $@

override_dh_auto_build:
	cd make && make ARCH_DATA_MODEL=$(ARCH_DATA_MODEL) \
	                HOTSPOT_BUILD_JOBS=2 \
	                ALT_BOOTDIR=$(JAVA_HOME) \
	                OPENJDK=true \
	                DEBUG_BINARIES=true \
	                HOTSPOT_BUILD_VERSION=dcevm-light

override_dh_install:
	dh_install -p$(PACKAGE) \
	           build/linux/export-linux-$(JDK_ARCH)/jre/lib/$(DEB_HOST_ARCH)/server/libjvm.so \
	           $(JAVA_HOME)/jre/lib/$(DEB_HOST_ARCH)/dcevm

override_dh_clean:
	rm -Rf build
	dh_clean

get-orig-source:
	uscan --download-current-version --rename --force-download
