=== debian/changelog ===
openjdk-8-jre-dcevm (8u112-2) unstable; urgency=medium

  * Fixed the build failure with GCC 7 (Closes: #853592)
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Oct 2017 09:48:02 +0200

openjdk-8-jre-dcevm (8u112-1) unstable; urgency=medium

  * New upstream release
    - Imported the light-jdk8u112-b16 DCEVM patches (build 7)
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 Dec 2016 14:32:21 +0100

openjdk-8-jre-dcevm (8u92-1) unstable; urgency=medium

  * New upstream release
  * Fixed the build failure with GCC 6, thanks to Adrian Bunk for the patch.
    (Closes: #831153)
  * Build with -fno-lifetime-dse -fno-delete-null-pointer-checks to match
    the build parameters of the openjdk-8 package with GCC 6
  * Depend on g++-6 instead of g++-5 (Closes: #835956)
  * Standards-Version updated to 3.9.8
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 18 Oct 2016 16:50:40 +0200
