=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 9), quilt, openjdk-8-jdk, g++-5, zip
-Standards-Version: 3.9.7
-Vcs-Git: git://anonscm.debian.org/pkg-java/openjdk-8-jre-dcevm.git
+Build-Depends: debhelper (>= 10), quilt, openjdk-8-jdk, g++-7, zip
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/openjdk-8-jre-dcevm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/openjdk-8-jre-dcevm.git
 Homepage: https://github.com/dcevm/dcevm
