=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 PACKAGE = $(shell dpkg-parsechangelog -S Source)
 
 export DISABLE_HOTSPOT_OS_VERSION_CHECK=ok
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu++98 -Wno-error=deprecated-declarations -fno-lifetime-dse -fno-delete-null-pointer-checks
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -32,9 +33,5 @@
 	           build/linux/export-linux-$(JDK_ARCH)/jre/lib/$(DEB_HOST_ARCH)/server/libjvm.so \
 	           $(JAVA_HOME)/jre/lib/$(DEB_HOST_ARCH)/dcevm
 
-override_dh_clean:
-	rm -Rf build
-	dh_clean
-
 get-orig-source:
 	uscan --download-current-version --rename --force-download
