=== debian/watch ===
version=3
https://github.com/dcevm/dcevm/tags .*/light-(?:jdk)?(8u\d+).*.tar.gz debian debian/orig-tar.sh
