## openjdk-8-jre-dcevm 8u181

=== debian/changelog ===
openjdk-8-jre-dcevm (8u181-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 25 Oct 2018 08:18:13 +0200

openjdk-8-jre-dcevm (8u181-1) unstable; urgency=medium

  * New upstream release
    - Imported the light-jdk8u181-b13 DCEVM patches
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Oct 2018 16:21:18 +0200
