=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 10), quilt, openjdk-8-jdk, g++-7, zip
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/openjdk-8-jre-dcevm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/openjdk-8-jre-dcevm.git
+Build-Depends: debhelper (>= 10), quilt, openjdk-8-jdk, g++-6, zip
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/openjdk-8-jre-dcevm.git
+Vcs-Browser: https://salsa.debian.org/java-team/openjdk-8-jre-dcevm
 Homepage: https://github.com/dcevm/dcevm
 
 Package: openjdk-8-jre-dcevm
