=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,3 @@
 	dh_install -p$(PACKAGE) \
 	           build/linux/export-linux-$(JDK_ARCH)/jre/lib/$(DEB_HOST_ARCH)/server/libjvm.so \
 	           $(JAVA_HOME)/jre/lib/$(DEB_HOST_ARCH)/dcevm
-
-get-orig-source:
-	uscan --download-current-version --rename --force-download
